package org.holer.server.init;

import io.netty.channel.Channel;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelInitializer;
import io.netty.channel.socket.SocketChannel;
import org.holer.server.handler.DataHandler;
import org.holer.server.handler.ExtraClientHandler;

public class ExtraClientInitializer extends ChannelInitializer<SocketChannel> {
    protected void initChannel(SocketChannel sc) throws Exception {
        sc.pipeline().addFirst(new DataHandler());
        sc.pipeline().addLast(new ExtraClientHandler());
    }
}
